<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'automotive_centre_before_slider' ); ?>

  <?php if( get_theme_mod( 'automotive_centre_slider_hide_show', false) != '' || get_theme_mod( 'automotive_centre_resp_slider_hide_show', false) != '') { ?>
    <section id="slider">
      <?php if(get_theme_mod('automotive_centre_slider_type', 'Default slider') == 'Default slider' ){ ?>
      <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel" data-bs-interval="<?php echo esc_attr(get_theme_mod( 'automotive_centre_slider_speed',4000)) ?>">
        <?php $automotive_centre_slider_pages = array();
          for ( $count = 1; $count <= 3; $count++ ) {
            $mod = intval( get_theme_mod( 'automotive_centre_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $automotive_centre_slider_pages[] = $mod;
            }
          }
          if( !empty($automotive_centre_slider_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $automotive_centre_slider_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php if(has_post_thumbnail()){
                the_post_thumbnail();
              } else{?>
                <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/block-patterns/images/banner.png" alt="" />
              <?php } ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <?php if( get_theme_mod('automotive_centre_slider_title_hide_show',true) != ''){ ?>
                    <h1 class="wow bounceInDown delay-1000" data-wow-duration="2s"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <?php } ?>
                  <?php if( get_theme_mod('automotive_centre_slider_content_hide_show',true) != ''){ ?>
                    <p class="wow bounceInDown delay-1000" data-wow-duration="2s"><?php $automotive_centre_excerpt = get_the_excerpt(); echo esc_html( automotive_centre_string_limit_words( $automotive_centre_excerpt, esc_attr(get_theme_mod('automotive_centre_slider_excerpt_number','30')))); ?></p>
                  <?php } ?>
                  <?php if( get_theme_mod('automotive_centre_slider_button_text','LEARN MORE') != ''){ ?>
                    <div class="slider-btn wow bounceInDown delay-1000" data-wow-duration="2s">
                      <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('automotive_centre_slider_button_text',__('LEARN MORE','automotive-centre')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('automotive_centre_slider_button_text',__('LEARN MORE','automotive-centre')));?></span></a>
                    </div>
                  <?php } ?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
        <?php endif;
        endif;?>
        <a class="carousel-control-prev" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev" role="button">
          <span class="carousel-control-prev-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous','automotive-centre' );?></span>
        </a>
        <a class="carousel-control-next" data-bs-target="#carouselExampleCaptions" data-bs-slide="next" role="button">
          <span class="carousel-control-next-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next','automotive-centre' );?></span>
        </a>
      </div>
      <div class="clearfix"></div>
        <?php } else if(get_theme_mod('automotive_centre_slider_type', 'Advance slider') == 'Advance slider'){?>
          <?php echo do_shortcode(get_theme_mod('automotive_centre_advance_slider_shortcode')); ?>
        <?php } ?>
    </section>
  <?php } ?>

  <?php do_action( 'automotive_centre_after_slider' ); ?>

  <section id="about-section" class="wow zoomInUp delay-1000" data-wow-duration="2s"> 
    <div class="container">
      <?php if( get_theme_mod( 'automotive_centre_section_title') != '') { ?>
        <h2><?php echo esc_html(get_theme_mod('automotive_centre_section_title',''));?></h2>
      <?php } ?>
      <div class="row">
        <?php $automotive_centre_about_pages = array();
          for ( $count = 0; $count <= 0; $count++ ) {
            $mod = absint( get_theme_mod( 'automotive_centre_about_page' ));
            if ( 'page-none-selected' != $mod ) {
              $automotive_centre_about_pages[] = $mod;
            }
          }
          if( !empty($automotive_centre_about_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $automotive_centre_about_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $count = 0;
              while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="col-lg-7 col-md-7">
                  <h3><?php the_title(); ?></h3>
                  <hr>
                  <p><?php $automotive_centre_excerpt = get_the_excerpt(); echo esc_html( automotive_centre_string_limit_words( $automotive_centre_excerpt, esc_attr(get_theme_mod('automotive_centre_about_excerpt_number','30')))); ?></p>
                  <?php if( get_theme_mod('automotive_centre_about_button_text','LEARN MORE') != ''){ ?>
                    <div class="more-btn">
                      <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('automotive_centre_about_button_text',__('LEARN MORE','automotive-centre')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('automotive_centre_about_button_text',__('LEARN MORE','automotive-centre')));?></span></a>
                    </div>
                  <?php } ?>
                </div>
                <div class="col-lg-5 col-md-5">
                  <?php the_post_thumbnail(); ?>
                </div>
              <?php $count++; endwhile; ?>
            <?php else : ?>
                <div class="no-postfound"></div>
            <?php endif;
          endif;
          wp_reset_postdata();
        ?>
      </div>
    </div>
  </section>
  
  <?php do_action( 'automotive_centre_after_second_section' ); ?>

  <div class="content-vw">
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
    </div>
  </div>
</main>

<?php get_footer(); ?>
